D4Science Infrastructure - Task #548

Log Rotation With Mongo
Sep 07,2015 10:57 AM - Tommaso Piccioli

Status: Closed Start date: Sep 07, 2015
Priority: Normal Due date:

Assignee: _InfraScience Systems Engineer % Done: 100%
Category: System Application Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Production

Description

mongodb single log file can grow without a limit
(there is a 2.7G mongo_log.txt on node41.d.d4science)

We could rotate log files using the standard approach on linux, as suggested here:
http://docs.mongodb.org/v2.4/tutorial/rotate-log-files/

History

#2 - Sep 09, 2015 03:47 PM - Roberto Cirillo
- Status changed from New to Closed

- % Done changed from 0 to 100

#3 - Sep 09, 2015 05:51 PM - Tommaso Piccioli
- Status changed from Closed to In Progress
- Assignee changed from Roberto Cirillo to _InfraScience Systems Engineer

- % Done changed from 100 to 50

The same configuration adopted in the dev environment must be used for the prod hosts.

#4 - Sep 11, 2015 10:40 AM - Roberto Cirillo
- Infrastructure Production added

- Infrastructure deleted (Development)

#5 - Nov 19, 2015 05:29 PM - Tommaso Piccioli
- Status changed from In Progress to Closed

- % Done changed from 50 to 100

mongodb log rotation active in dev and prod environment.
